What version of iTunes needed to sync all devices

Discussion in 'iPod touch' started by pectin232, Aug 7, 2010.

  1. pectin232 macrumors 6502

    Joined:
    Jul 22, 2008
    #1
    I have 2 iTouch 2nd Gen 32GB and a 3rd Generation iTouch 64GB. I am thinking of upgrading iTunes [to at least 9.0) but can the new iTunes 9.0-9.2 work with the 2 JB iTouchs if I upgrade iTunes to 9.0+ [or what version do I seriously need to have]? and can the new iTunes work with 2 different Generation of iTouchs?? I have never done this before like to sync all on the same PCs. Currently I have them all sync on different multiple PCs and thinking of making it sync with 1 PC instead of multiple PCs... which is a drag and thus saving me valuable time... please advise on the version of iTunes I need to use in order to synch all my devices incl the iPhone 3 and iPhone 4.. as I use version 9 of iTunes on iPhone 3... and on iPhone 4 I have no clue yet as what to use... and getting the iPhone 4 tomorrow. any tips/ suggestions is appreciated... I am getting more and more into Apple.....once on the PC side... what version of iTunes do I need to sync
     
  2. na1577 macrumors 6502a

    Joined:
    Jan 20, 2008
    #2
    The latest version of iTunes supports every iPod and iPhone Apple has released. I believe 9.2.1 is the current version.
     
  3. pectin232 thread starter macrumors 6502

    Joined:
    Jul 22, 2008
    #3
    I know but does it work if the devices is Jailbroken?
     
  4. na1577 macrumors 6502a

    Joined:
    Jan 20, 2008
    #4
    Yes. Jailbreaking doesn't affect the syncing process.

    However, there are some limitations on downgrading firmwares, but I'm not familiar with the details. In the event that you would need to downgrade, you could probably find an older version of iTunes online somewhere.
     

Share This Page